VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Image Cryptography"
   ClientHeight    =   5130
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   5775
   LinkTopic       =   "Form1"
   ScaleHeight     =   5130
   ScaleWidth      =   5775
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      Height          =   855
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   1
      Top             =   4080
      Width           =   5535
   End
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      Height          =   3735
      Left            =   120
      ScaleHeight     =   245
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   365
      TabIndex        =   0
      Top             =   120
      Width           =   5535
   End
   Begin VB.Menu mnuLoad 
      Caption         =   "Load"
   End
   Begin VB.Menu mnuSave 
      Caption         =   "Save"
   End
   Begin VB.Menu mnuEncrypt 
      Caption         =   "Encrypt"
   End
   Begin VB.Menu mnuDecrypt 
      Caption         =   "Decrypt"
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function LoadImage Lib "user32" Alias "LoadImageA" (ByVal hInst As Long, ByVal lpsz As String, ByVal un1 As Long, ByVal n1 As Long, ByVal n2 As Long, ByVal un2 As Long) As Long
Private Declare Function CreateCompatibleDC Lib "gdi32" (ByVal hdc As Long) As Long
Private Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Private Declare Function SetPixel Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long, ByVal crColor As Long) As Long
Private Declare Function GetPixel Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long) As Long
Private Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long

Dim ColorCode(0 To 255) As Long 'Stores all the colors that have a certian value of green in them (0,index,0)


Dim CharCode(0 To 255) As String 'Stores all the different characters, where index is the char number
Dim Message(0 To 255) As Variant 'Message String
Dim nMessage(0 To 255) As Long 'I dont know what this is

Dim mImage As Long
Dim mImageDC As Long

Private Sub Form_Load()
msg = MsgBox("Make sure you are running in 32-bit color." & vbNewLine & "You will get a bunch of random letters if you don't use 32bit color!" & vbNewLine & vbNewLine & "Please vote for me on PSC!", vbInformation)

'Create color code
For c = 0 To 255
  ColorCode(c) = RGB(0, c, 0)
Next c

'Create char code
For c = 0 To 255
  CharCode(c) = Chr(c)
Next c
End Sub

Private Sub mnuDecrypt_Click()
Dim cColor As Integer
On Error GoTo done
Dim x As Long
For i = 0 To 255
  cColor = GetPixel(mImageDC, i, i)
  For x = 0 To 255
    If cColor = ColorCode(x) Then Message(i) = Chr(x)
  Next x
Next i
Exit Sub
done:
msg = Join(Message, "")
Text1.Text = msg



End Sub

Private Sub mnuEncrypt_Click()
msg = InputBox("Message to encrypt:", "Encrypt", "")

For i = 1 To Len(msg)
  Message(i - 1) = Mid(msg, i, 1)
Next i

'Convert each into chr numbers
For i = 0 To Len(msg)
  For x = o To 255
    If Message(i) = CharCode(x) Then nMessage(i) = x
  Next x
Next i

'Draw

For i = 0 To 255
  If nMessage(i) = 0 Then Exit For

    
  SetPixel mImageDC, i, i, RGB(0, nMessage(i), 0)
  
Next i

'Save image
BitBlt Picture1.hdc, 0, 0, 255, 255, mImageDC, 0, 0, vbSrcCopy


  
End Sub

Private Sub mnuHelp_Click()
msg = MsgBox("First, load an image. Try to use an image that has a lot of greens, because the message is encoded in green shades. " & vbNewLine & " after loading an image, click encode. Type in the message that you want to encode into the picture. " & vbNewLine & " Now, click save. Save it somewhere. Next, click load again. open the file you just saved." & vbNewLine & " Now, click decrypt. It will decrypt the message hidden inside the picture and put it in the textbox below. " & vbNewLine & vbNewLine & vbNewLine & "If you like this, please vote for me on PSC ;)")

End Sub

Private Sub mnuLoad_Click()
imagepath = InputBox("Image:", "Load Image", "C:\")
mImage = LoadImage(0, imagepath, 0, 0, 0, &H10)
mImageDC = CreateCompatibleDC(Me.hdc)
SelectObject mImageDC, mImage
BitBlt Picture1.hdc, 0, 0, 255, 255, mImageDC, 0, 0, vbSrcCopy


Picture1.Refresh

End Sub

Private Sub mnuSave_Click()
sve = InputBox("Save as:", "Save", "C:\")
SavePicture Picture1.Image, sve



End Sub
